import { cn as e } from "../../lib/utils.js";
import "react";
import { Fragment as t, jsx as n } from "react/jsx-runtime";
import { Loader2 as r } from "lucide-react";
//#region src/components/feedback/LoadingCentered.tsx
var i = ({ loading: i = !1, size: a = 24, children: o = null, className: s, ...c }) => i ? /* @__PURE__ */ n("div", {
	className: e("mt-12 flex items-center justify-center", s),
	...c,
	children: /* @__PURE__ */ n(r, {
		className: "animate-spin",
		size: a
	})
}) : /* @__PURE__ */ n(t, { children: o });
//#endregion
export { i as default };
